# Class: bind
#
#
class bind {
    package { "bind":
        ensure => installed,
    }

    service { "named":
        enable     => true,
        ensure     => running,
        hasrestart => true,
        hasstatus  => true,
        require => Package["bind"],
    }

    augeas {"resolv.conf":
        context => "/files/etc/resolv.conf",
        changes => ["set nameserver 127.0.0.1"],
        require => Service["named"],
    }
}
