# Class: clamav
#
#
class clamav {
    package {"clamav":
        name => $operatingsystem ? {
            /(?i:Debian|Ubuntu)/ => ["clamav", "clamav-freshclam"],
            default => ["clamav", "clamav-unofficial-sigs", "clamav-db"],
        },
        ensure => installed,
    }
    if $operatingsystem in ['CentOS', 'RedHat'] {
        file { "/etc/clamav-unofficial-sigs/clamav-unofficial-sigs.conf":
            mode    => "0644",
            owner   => "root",
            group   => "root",
            content => template("clamav/clamav-unofficial-sigs.conf"),
            require => Package["clamav"],
        }
    }
}
