# Class: cron
#
#
class cron {
    package { "cronie":
        name => $operatingsystem ? {
            /(?i:Debian|Ubuntu)/ => "cron",
            default => "cronie",
        },
        ensure => installed,
    }

    service { "crond":
        name => $operatingsystem ? {
            /(?i:Debian|Ubuntu)/ => "cron",
            default => "crond",
        },
        enable     => true,
        ensure     => running,
        hasrestart => true,
        hasstatus  => true,
        require => Package["cronie"],
    }
}
