# Class: spamassassin::bayes
#
#
class spamassassin::bayes {
	include postgresql
	require baruwa::db
	postgresql::executesql{"bayes-sql":
		username => $baruwa_pgsql_user,
		password => $baruwa_pgsql_passwd,
		database => $baruwa_pgsql_db,
		sql => template("spamassassin/bayes.sql.erb"),
		sqlcheck => "\"SELECT tablename FROM pg_tables WHERE tablename ='bayes_expire'\" | grep bayes_expire",
	}
}
