# Password for the postgres user account
$pgsql_password                 = 'ygRBZiyiauh83Zry'
# Enter a short identifying name for your organisation below, this is
# used to make the X-Baruwa headers unique for your organisation.
# Multiple servers within one site should use an identical value here
# to avoid adding multiple redundant headers where mail has passed
# through several servers within your organisation.
# ***** characters appearing in the names of headers.
#       Some other mail servers complain about "_" characters
#       appearing in the names of headers as well.
#       So don't put "." or "_" in this setting.
#
# **** RULE: It must not contain any spaces! ****
$mailscanner_org_name           = 'BARUWA'
# Enter the full name of your organisation below, this is used in the
# signature placed at the bottom of report messages sent by Baruwa.
# It can include pretty much any text you like. You can make the result
# span several lines by including "\n" sequences in the text. These will
# be replaced by line-breaks.
$mailscanner_org_long_name      = 'BARUWA MAILFW'
# How many MailScanner processes do you want to run at a time?
# There is no point increasing this figure if your MailScanner server
# is happily keeping up with your mail traffic.
# If you are running on a server with more than 1 CPU, or you have a
# high mail load (and/or slow DNS lookups) then you should see better
# performance if you increase this figure.
# If you are running on a small system with limited RAM, you should
# note that each child takes just over 20MB.
#
# As a rough guide, try 5 children per CPU. But read the notes above.
$mailscanner_max_children       = '4'
# Baruwa admin username
$baruwa_admin_user              = 'andrew'
# Baruwa admin email address
# Make sure you change this from the default
$baruwa_admin_email             = 'andrew@home.topdog-software.com'
# Baruwa admin password Make sure this is a strong password or else
# the setup will fail
$baruwa_admin_passwd            = 'lmiasPW+'
# Baruwa postgresql database name
$baruwa_pgsql_db                = 'baruwa'
# Baruwa postgresql database host address
# Set to a remote host if the database is on another machine
$baruwa_pgsql_host              = '127.0.0.1'
# Baruwa postgresql database port
# 6432 - pgbouncer caching
# 5432 - postgresql direct
$baruwa_pgsql_port              = '6432'
# Baruwa postgresql database username
$baruwa_pgsql_user              = 'baruwa'
# Baruwa postgresql database password
# Make sure you change this from the default
$baruwa_pgsql_passwd            = 'ygRBZiyiauh83Blundi'
# Baruwa timezone, should be the timezone in use on the host
$baruwa_timezone                = 'Africa/Johannesburg'
# Beaker session secret
# beaker.session.secret
# used to encrypt session information must be unique and random
# Make sure you change this from the default
$baruwa_session_secret          = 'kGqmIIja8Af/IHq5st5iUBmAI'
# Paste application uuid - you can leave as is or change one digit
# app_instance_uuid
$baruwa_app_uuid                = '4c500d72-4628-4d37-aa9c-442eb2a67695'
# Rabbitmq host
# broker.host
# Must point to a remote host if postgresql db host is not 127.0.0.1
$baruwa_rabbitmq_host           = '127.0.0.1'
# Rabbitmq port
# broker.port
$baruwa_rabbitmq_port           = '5672'
# Rabbitmq user
# broker.user
$baruwa_rabbitmq_user           = 'baruwa'
# Rabbitmq password
# broker.password
# Make sure you change this from the default
$baruwa_rabbitmq_passwd         = 'z5dxyomJ1WTzXvfa'
# Rabbitmq virtualhost
# broker.vhost
$baruwa_rabbitmq_vhost          = 'baruwa'
# Baruwa quarantine host url
# baruwa.default.url
# The default host url used in quarantine report links, is overriden
# by the settings in a domain.
$baruwa_quarantine_host_url     = 'http://ms.home.topdog-software.com'
# Baruwa shared quarantine
# ms.quarantine.shared
# Set to true if using a shared quarantine store
# allowed values true, false
$baruwa_quarantine_shared       =  'false'
# MailScanner store clean mail
# When set to true, All clean messages will be stored.
# Use this option only if it is legal in your country
$mailscanner_store_clean_mail   = 'false'
# MailScanner allow all file type and file name
# When set to true, All file checks will be disabled.
# Use this option only if you are sure your AV engine
# will filter all malicious files
$mailscanner_allow_all_files    = 'false'
# MailScanner allow all file type and file names for
# email addresses
# These must be valid email addresses like 'a@example.com'
# Seperated by comma's ","
$mailscanner_allow_all_files_emails = []
# MailScanner allow all file type and file names for
# domains
# These must be valid domain names like 'example.com'
# Seperated by comma's ","
$mailscanner_allow_all_files_domains = []
# MailScanner allow all file type and file names for
# IP addresses
# These must be valid IP addresses like '192.168.1.1'
# Seperated by comma's ","
$mailscanner_allow_all_files_ips = []
# Nginx virtual host for baruwa
$baruwa_web_vhost               = 'ms.home.topdog-software.com'
# Nginx virtual host server aliases
$baruwa_web_serveraliases       = ['baruwa.topdog.za.net']
# Exim primary hostname
$baruwa_mail_host               = 'ms.home.topdog-software.com'
# Baruwa media url
# can allow you to host media on a CDN or media host
$baruwa_media_url               = '/'
# Bayes postgresql user
$baruwa_bayes_pgsql_user        = 'bayes'
# Bayes postgresql password
# Make sure you change this from the default
$baruwa_bayes_pgsql_pass        = 'KxTfELzH2fyxMicak7'
# Sphinx host address
# Must point to a remote host if postgresql db host is not 127.0.0.1
$baruwa_sphinx_host             = '127.0.0.1'
# Memcached host address
# Must point to a remote host if postgresql db host is not 127.0.0.1
$baruwa_memcache_host           = '127.0.0.1'
# Baruwa cluster peers
# hostnames of other nodes that are in the same cluster as this device
# set to [] if not clustered.
$baruwa_cluster_peers           = ['ms2.home.topdog-software.com']
# Baruwa cluster peers ip addresses
# Ip addresses of other nodes that are in the same cluster as this device
# set to [] if not clustered.
$baruwa_cluster_peer_ips        = ['192.168.1.14']
# Baruwa cluster ID
# This must be an integer number unique for each node
$baruwa_cluster_id              = '1'
# Baruwa custom name
# This will replace all occurances of Baruwa in the web interface as well
# as email reports sent out.
$baruwa_custom_name             = 'Baruwa Hosted'
# Baruwa custom url
# Creates the links to your product page within the web interface and email
# reports that are sent out.
$baruwa_custom_url              = 'http://www.baruwa.net'
# Baruwa Themes directory
# The base directory for the themes.
$baruwa_theme_path              = '/usr/share/baruwa/themes'
# Sphinx enable wildcard indexing
# http://sphinxsearch.com/docs/archives/1.10/conf-min-infix-len.html
# http://sphinxsearch.com/docs/archives/1.10/conf-enable-star.html
# set to 'true' to enable and 'false' to disable
# Setting this to true will generate very large index files
$sphinx_enable_wildcard         = 'false'
# Enable SMTP time subject based rejection
# This allows you to reject messages based on the subject
$exim_use_subject_bl            = 'false'
# Enable removing of Received headers of the servers sending mail
# through this system. Allows you on a per domain basis to hide
# the origins of senders who relay through your system
# Set this option to true if you want to support this feature
# The domains to hide should be added to the following file
# /etc/exim/remove-headers
$exim_enable_hide_senders       = 'false'
# DKIM SMTP Time checks. Change the following to false if
# you would like to disable SMTP time DKIM checks.
$exim_enable_dkim_checks        = 'true'
# DKIM selector name
# Sets the DKIM selector name, used to configure exim DKIM signing
$baruwa_dkim_selector           = 'baruwa'
# Clamav Unofficial signatures to enable
# Refer to http://sanesecurity.com/usage/signatures/ for descriptions
$clamav_sane_sigs               = ['junk.ndb',
                                    'jurlbl.ndb',
                                    'phish.ndb',
                                    'rogue.hdb',
                                    'sanesecurity.ftm',
                                    'scam.ndb',
                                    'spamimg.hdb',
                                    'winnow_malware.hdb',
                                    'winnow_malware_links.ndb',
                                    'sigwhitelist.ign2',
                                    'spamattach.hdb',
                                    'spear.ndb',
                                    'spearl.ndb',
                                    'blurl.ndb',
                                    'winnow.attachments.hdb',
                                    'winnow_bad_cw.hdb',
                                    'winnow_extended_malware.hdb',
                                    'bofhland_cracked_URL.ndb',
                                    'bofhland_malware_URL.ndb',
                                    'bofhland_phishing_URL.ndb',
                                    'bofhland_malware_attach.hdb',
                                    'crdfam.clamav.hdb',
                                    'malwarehash.hsb',
                                    'porcupine.ndb']
# Clamav SecuriteInfo signatures to enable
# Refer to http://sanesecurity.com/usage/signatures/ for descriptions
$clamav_securiteinfo_sigs       = ['honeynet.hdb',
                                    'securiteinfobat.hdb',
                                    'securiteinfodos.hdb',
                                    'securiteinfoelf.hdb',
                                    'securiteinfo.hdb',
                                    'securiteinfohtml.hdb',
                                    'securiteinfooffice.hdb',
                                    'securiteinfopdf.hdb',
                                    'securiteinfosh.hdb']
# SpamAssassin Malware Patrol rules, you need to signup at the following
# url https://www.malwarepatrol.net/lists.shtml and then set the
# receipt number that is emailed to you to $spamassassin_malwarepatrol_pw
# uncomment below. Please NOTE these rules are memory intensive, so make
# sure you have lots of memory available before enabling.
#$spamassassin_malwarepatrol_pw  = ''
# Spamassassin Message Sniffer plugin - http://www.armresearch.com/Products/features.jsp
# Contact enterprise@baruwa.com to purchase a subscription at discounted
# pricing
# To enable the setup, set this option to true
$spamassassin_snf_enable        = 'false' 
# Message Sniffer License ID This is emailed to you when you subscribe 
$spamassassin_snf_licenseid     = ''
# Message Sniffer Authentication This is emailed to you when you subscribe
$spamassassin_snf_authentication = ''
# OpenSSL CA settings used to create locally generated certitifcates
# if you do not have certitifcates issued by a Ca
# OpenSSL country code
$openssl_country_code           = 'ZA'
# OpenSSL CA settings used to create locally generated certitifcates
# if you do not have certitifcates issued by a Ca
# OpenSSL CA Name
# Make sure you change this from the default
$openssl_ca_name                = 'BaruwaCA'
# OpenSSL CA settings used to create locally generated certitifcates
# if you do not have certitifcates issued by a Ca
# OpenSSL province
$openssl_province_name          = 'Gauteng'
# OpenSSL CA settings used to create locally generated certitifcates
# if you do not have certitifcates issued by a Ca
# OpenSSL city name
$openssl_city_name              = 'Johannesburg'
# OpenSSL CA settings used to create locally generated certitifcates
# if you do not have certitifcates issued by a Ca
# OpenSSL organization name
# Make sure you change this from the default
$openssl_org_name               = 'ca.baruwa.org'
# OpenSSL CA settings used to create locally generated certitifcates
# if you do not have certitifcates issued by a Ca
# OpenSSL common name for the certitifcate
$openssl_common_name            = $baruwa_web_vhost
# OpenSSL CA settings used to create locally generated certitifcates
# if you do not have certitifcates issued by a Ca
# OpenSSL email address
$openssl_email                  = $baruwa_admin_email
######################################################################
# END CONFIGS
# DO NOT CHANGE ANYTHING BELOW HERE
Exec { path => "/bin:/sbin:/usr/bin:/usr/sbin" }
if $osfamily == 'RedHat' {
    include selinux
}
include etckeeper
include ssl
include bind
include postgresql
if $baruwa_pgsql_host == '127.0.0.1' {
    include postgresql::server
    include pgbouncer
    include sphinx
    include rabbitmq
    include memcached
}
include exim
include clamav
include clamav::server
include razor
include pyzor
include spamassassin
include mailscanner
include dcc
include expect
include uwsgi
include baruwa
include misc
